#include "testlib.h"
#include <string>
using namespace std;

const int MAXN = 1e5;

bool is_digit(char c)
{
    return c >= '0' && c <= '9';    
}

int main(int argc, char * argv[]) 
{
    registerValidation(argc, argv);
    string s = inf.readToken();
    ensuref(s.size() >= 3 && s.size() <= MAXN, "Incorrect length of string");
    for (int i = 0; i < (int)s.size(); i++)
        ensuref(is_digit(s[i]), "Incorrect %d char", i + 1);
    inf.readEoln();
    inf.readEof();

    return 0;
}